<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Data Delivery</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;700&family=Roboto:wght@300&display=swap"
        rel="stylesheet">
    {% load static %}
    <link rel="stylesheet" href="{% static 'note_list_style.css'%}">
</head>

<body>
    <div class="mynav">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="#">Noteform&copy;</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mr-sm-2">
                    <li class="nav-item">
                        <a class="nav-link" href="http://127.0.0.1:8000/lab-4/add-note">Form</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="http://127.0.0.1:8000/lab-4/">Table</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="http://127.0.0.1:8000/lab-4/note-list">Card</a>
                    </li>
                </ul>
            </div>
        </nav>
    </div>

    <h1>Message Card</h1>

    <div class="card-columns">
        {% if notes %}
        {% for note in notes %}
        <div class="card">
            <div class="card-header">
                <h5>{{note.title}}</h5>
            </div>
            <div class="card-body">
                <!-- <h5 class="card-title">{{note.title}}</h5> -->
                <p class="card-text">From: {{note.sender}}</p>
                <p class="card-text">To: {{note.receiver}}</p>
                <p class="card-text"><small class="text-muted">Message: {{note.message}}</small></p>
            </div>
        </div>
        {% endfor %}
        {% endif %}
    </div>
</body>

</html>